# ![https://www.phon.ca](https://github.com/ghedlund/phon/raw/master/app/src/main/resources/data/icons/32x32/apps/database-phon.png) Phon  

Phon is a software program that greatly facilitates a number of tasks related 
to the analysis of transcript-based and acoustically-measured speech data. 
Built to support research in phonological development (including babbling), 
second language acquisition, and phonological disorders, Phon can also be used 
for virtually all types of phonological investigations (e.g. loanword 
phonology, fieldwork in phonology, sociolinguistic studies). Phon supports 
multimedia data linkage, unit segmentation (e.g. utterance, word), 
multiple-blind transcription, automatic labeling of data (features, 
syllabification), and systematic comparisons between target (model) and actual 
(produced) phonological forms. Phon is also equipped with many facilities for 
data analysis, including query methods for phonology (e.g. phones, features, 
syllables, …) as well as acoustic data.

Version 2 of Phon brings together two of the most important areas of empirical 
investigation in the are of child phonology, as it integrates transcript-based 
analyses of phonological data with the facilities for acoustic analysis provided 
by Praat. With this new version of Phon, and in addition to the functions listed 
above, the user can now:

 * Import existing TextGrids into Phon sessions
 * Generate TextGrids from existing Phon records
 * Visualize TextGrids directly into Phon
 * Send TextGrids to Praat for editing in a single click
 * Run speech analysis functions directly from the Phon Query menu
 * Export speech measurement data for further analysis 

All of these functions are accessible through a user-friendly graphical interface. 
Databases managed within Phon can also be queried using a powerful search system 
adapted for the needs of the phonologist. This software program works on Mac OS X, 
Windows and Linux platforms and is compliant with the [https://childes.psy.cmu.edu/ CHILDES] 
(​[https://www.talkbank.org TalkBank]) XML data 
format. Phon is being made freely available to the community as open-source 
software. Phon facilitates data exchange among researchers and is currently used 
for the elaboration of the shared ​PhonBank database, designed to support 
empirical needs of research in all areas of phonology and phonological development. 

For more information, see https://www.phon.ca
